{
  "orderpartprocess": {
    "_parent": {
      "type": "orderpart"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "idOrderPart": {
        "type": "long"
      },
      "idProcess": {
        "type": "long"
      },
      "processMemo": {
        "type": "text"
      },
      "obvRevId": {
        "type": "long"
      },
      "orderIndex": {
        "type": "long"
      },
      "pasteUpFileName": {
        "type": "text"
      },
      "pasteUpFilePageIndex": {
        "type": "long"
      },
      "processPrice": {
        "type": "double"
      },
      "processQty": {
        "type": "double"
      },
      "processMoney": {
        "type": "double"
      },
      "processRule": {
        "type": "text",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idMaterial": {
        "type": "long"
      },
      "isOutAssisted": {
        "type": "integer"
      },
      "idOutAssistBill": {
        "type": "long"
      },
      "outAssistBillCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idOutAssist": {
        "type": "long"
      },
      "outAssistName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "materialQty": {
        "type": "double"
      },
      "materialPreOutFlag": {
        "type": "integer"
      },
      "idActualMaterialInfo": {
        "type": "long"
      },
      "actualMaterialInfoName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "preOutStockLockIdRoom": {
        "type": "long"
      },
      "preOutStockLockQty": {
        "type": "integer"
      },
      "preOutLockState": {
        "type": "integer"
      },
      "preOutLockManId": {
        "type": "long"
      },
      "preOutLockManName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "preOutStockUnlocked": {
        "type": "integer"
      },
      "materialPreRequestFlag": {
        "type": "integer"
      },
      "materialStockInFlag": {
        "type": "integer"
      },
      "materialPickingFlag": {
        "type": "integer"
      },
      "materialStockOutFlag": {
        "type": "integer"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      },
      "processName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      }
    }
  }
}
